Subject: Re: [ldapext] RFC 4533 implementations?

From: Howard Chu <[email-masked]>
Date: Wed, 21 Feb 2007 08:54:34 -0800

David Boreham wrote:
> Does anyone know if it is possible to proxy Active Directory's
> sync protocol (dirsync) to RFC4533 ?
>
> If it is then it would be interesting/useful to build such a proxy
> because it would make AD compatible with RFC4533 clients.
>
> I know quite a bit about dirsync, having implemented two different
> sync products that use it, but I know next to nothing about 4533
> at this point so excuse me if I'm floating off in space... a quick
> read of the rfc draft tells me that they're at least superficially
> semantically similar.
>
> I do see a fair but of un-met interest in an open source
> general purpose LDAP sync tool. Wider support for 4533
> I think would help.
>
This is on my todo list. I'm not entirely convinced yet that it will 
work easily; the fact that Microsoft uses DSA-specific update counters 
is pretty annoying. I.e., you cannot infer any ordering relationship 
between update counters from separate servers. If you have ideas on how 
to approach this, I'm all ears.

-- 
  -- Howard Chu
  Chief Architect, Symas Corp.  http://www.symas.com
  Director, Highland Sun        http://highlandsun.com/hyc
  Chief Architect, OpenLDAP     http://www.openldap.org/project/

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext